<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()"
        ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Search"></Label>
</ActionBar>

<GridLayout class="page page-content" rows="50 *">
    <SearchBar  row="0"
                hint="Search"
                [text]="searchText"
                (textChange)="searchTextChange($event)"
                (submit)="onSubmit($event)"
    ></SearchBar>

    <ListView row="1" [items]="countries">
        <ng-template let-country="item" let-i="index" let-odd="odd" let-even="even">
            <StackLayout>
                <ScrollView height="30" >
                    <Label [text]="country"></Label>
                </ScrollView>
            </StackLayout>
        </ng-template>
    </ListView>

</GridLayout>